import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { StandardDeviationIndicator } from "./StandardDeviationIndicator";
/**
 * Represents a IgxDataChartComponent Standard Deviation indicator series.
 * Default required members: High, Low, Close
*/
export class IgrStandardDeviationIndicator extends IgrStrategyBasedIndicator {
    createImplementation() {
        return new StandardDeviationIndicator();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * Gets or sets the moving average period for the current StandardDeviationIndicator object.
     * The typical, and initial, value for STDEV periods is 20.
    */
    get period() {
        return this.i.ql;
    }
    set period(v) {
        this.i.ql = +v;
    }
}
